Bug 615898 - luci cannot create or add a rhel5 cluster
luci cannot create or add a rhel5 cluster
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: luci (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Ryan McCabe
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-19 04:45 EDT by Fabio Massimo Di Nitto
Modified: 2010-09-28 02:41 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
luci will not function with Red Hat Enterprise Linux 5 clusters unless each cluster node has ricci version 0.12.2-14
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-28 09:56:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fabio Massimo Di Nitto 2010-07-19 04:45:22 EDT
Using latest from luci.git, try to create a 2 nodes rhel5 cluster (latest rhel5 running on the 2 nodes):

10:42:11,883 ERROR [luci.lib.ricci_communicator] Error receiving header from rhel5-node2:11111
Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/luci/lib/ricci_communicator.py", line 72, in __init__
    hello = self.__receive(self.__timeout_init)
  File "/usr/lib/python2.6/site-packages/luci/lib/ricci_communicator.py", line 439, in __receive
    raise RicciError, errstr
RicciError: Error reading from rhel5-node2:11111: The read operation timed out
10:42:11,883 ERROR [luci.widget_validators.validate_create_cluster_form] Error adding node rhel5-node2 while creating cluster fabbione-rhel5
Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/luci/widget_validators/validate_create_cluster_form.py", line 95, in validate_create_cluster_form
    rc = RicciCommunicator(node[0], port=int(node[2]), enforce_trust=False)
  File "/usr/lib/python2.6/site-packages/luci/lib/ricci_communicator.py", line 80, in __init__
    self.__authed = hello.firstChild.getAttribute('authenticated') == 'true'
UnboundLocalError: local variable 'hello' referenced before assignment

and before that, got a few connection timeout errors. No iptables are running on the nodes for simplicity. tcpdump shows traffic between nodes and luci.
Comment 2 Fabio Massimo Di Nitto 2010-07-26 13:17:50 EDT
Found the issue.

* Thu Apr 01 2010 Chris Feist <cfeist@redhat.com> 0.12.2-14
- An issue with calling 'virsh nodelist' would cause ricci to hang for
  30 seconds during most requests resulting in timeouts to the web interface.
- Resolves: rhbz#564490

Pulling ricci from dist-cvs (RHEL-5) fixes the Create/Add issue.

We need to document this somewhere.
Comment 5 Fabio Massimo Di Nitto 2010-07-28 09:56:29 EDT
Technical note added. If any revisions are required, please edit the "Technical Notes" field
accordingly. All revisions will be proofread by the Engineering Content Services team.

New Contents:
In order for luci to work with RHEL-5 clusters, ricci has to be updated at least to version 0.12.2-14 on every RHEL-5 cluster node.
Comment 7 Ryan Lerch 2010-09-28 02:41:50 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1 @@
-In order for luci to work with RHEL-5 clusters, ricci has to be updated at least to version 0.12.2-14 on every RHEL-5 cluster node.+luci will not function with Red Hat Enterprise Linux 5 clusters unless each cluster node has ricci version 0.12.2-14

Note You need to log in before you can comment on or make changes to this bug.